We read every piece of feedback, and take your input very seriously.
To see all available qualifiers, see our documentation.
1 parent c176ba4 commit 3c4001aCopy full SHA for 3c4001a
.travis.yml
@@ -24,8 +24,8 @@ install:
24
- npm config set spin false
25
# Log HTTP requests
26
- npm config set loglevel http
27
- # Run npm install twice, because it is flaky.
28
- - npm install || npm install
+ - time ./scripts/travis/fetch_bundle.sh
+ - time npm install
29
30
before_script:
31
- mkdir -p $LOGS_DIR
scripts/travis/fetch_bundle.sh
@@ -0,0 +1,9 @@
1
+#!/bin/bash
2
+
3
+set -e
4
5
+# normalize the working dir to the directory of the script
6
+cd $(dirname $0);
7
8
+cd ../..
9
+curl "http://23.251.144.68:8000/fetch-tar/$TRAVIS_REPO_SLUG/$TRAVIS_COMMIT" | tar xz
0 commit comments